import 'package:be_happy/domain/entities/certificate.dart';
import 'package:be_happy/domain/entities/payment_card.dart';

import '../../domain/entities/top_up_tariff.dart';

abstract class TopUpEvent {}

class LoadTopUpData extends TopUpEvent {}

class SelectCertificate extends TopUpEvent {
  final Certificate certificate;
  SelectCertificate(this.certificate);
}

class SelectCard extends TopUpEvent {
  final PaymentCard card;
  SelectCard(this.card);
}

class ToggleAgreement extends TopUpEvent {
  final bool value;
  ToggleAgreement(this.value);
}